---
title: MediaSession.playbackState
slug: Web/API/MediaSession/playbackState
tags:
  - Audio
  - Media
  - Media Session API
  - MediaSession
  - Property
  - Reference
  - Video
  - playbackState
---
<p>{{APIRef("Media Session API")}}</p>

<p>The <strong><code>playbackState</code></strong> property of the {{domxref("MediaSession")}} interface indicates whether the current media session is playing or paused.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">let playbackState = <em>mediaSession</em>.playbackState;
<em>mediaSession</em>.playbackState = <em>playbackState</em>;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} indicating the current playback state of the media session. The value may be one of the following:</p>

<dl>
 <dt><code>none</code></dt>
 <dd>The browsing context doesn't currently know the current playback state, or the playback state is not available at this time.</dd>
 <dt><code>paused</code></dt>
 <dd>The browser's media session is currently paused. Playback may be resumed.</dd>
 <dt><code>playing</code></dt>
 <dd>The browser's media session is currently playing media, which can be paused.</dd>
</dl>

<h2 id="Example">Example</h2>

<p>The following example sets up two functions for playing and pausing, then uses them as callbacks with the relevant action handlers. Each function harnesses the <code>playbackState</code> property to indicate whether the audio is playing or paused.</p>

<pre class="brush: js notranslate line-numbers language-js"><code class="language-js"><span class="keyword token">const</span> actionHandlers <span class="operator token">=</span> <span class="punctuation token">[</span>
  <span class="comment token">// play</span>
  <span class="punctuation token">[</span>
    <span class="string token">'play'</span><span class="punctuation token">,</span>
    <span class="keyword token">async</span> <span class="keyword token">function</span><span class="punctuation token">(</span><span class="punctuation token">)</span> <span class="punctuation token">{</span>
      <span class="comment token">// play our audio</span>
      <span class="keyword token">await</span> audioEl<span class="punctuation token">.</span><span class="function token">play</span><span class="punctuation token">(</span><span class="punctuation token">)</span><span class="punctuation token">;</span>
      <span class="comment token">// set playback state</span>
      navigator<span class="punctuation token">.</span>mediaSession<span class="punctuation token">.</span>playbackState <span class="operator token">=</span> <span class="string token">"playing"</span><span class="punctuation token">;</span>
      <span class="comment token">// update our status element</span>
      <span class="function token">updateStatus</span><span class="punctuation token">(</span>allMeta<span class="punctuation token">[</span>index<span class="punctuation token">]</span><span class="punctuation token">,</span> <span class="string token">'Action: play  |  Track is playing...'</span><span class="punctuation token">)</span>
    <span class="punctuation token">}</span>
  <span class="punctuation token">]</span><span class="punctuation token">,</span>
  <span class="punctuation token">[</span>
    <span class="string token">'pause'</span><span class="punctuation token">,</span>
    <span class="punctuation token">(</span><span class="punctuation token">)</span> <span class="operator token">=&gt;</span> <span class="punctuation token">{</span>
      <span class="comment token">// pause out audio</span>
      audioEl<span class="punctuation token">.</span><span class="function token">pause</span><span class="punctuation token">(</span><span class="punctuation token">)</span><span class="punctuation token">;</span>
      <span class="comment token">// set playback state</span>
      navigator<span class="punctuation token">.</span>mediaSession<span class="punctuation token">.</span>playbackState <span class="operator token">=</span> <span class="string token">"paused"</span><span class="punctuation token">;</span>
      <span class="comment token">// update our status element</span>
      <span class="function token">updateStatus</span><span class="punctuation token">(</span>allMeta<span class="punctuation token">[</span>index<span class="punctuation token">]</span><span class="punctuation token">,</span> <span class="string token">'Action: pause  |  Track has been paused...'</span><span class="punctuation token">)</span><span class="punctuation token">;</span>
    <span class="punctuation token">}</span>
  <span class="punctuation token">]</span><span class="punctuation token">,</span>
<span class="punctuation token">]</span>

<span class="keyword token">for</span> <span class="punctuation token">(</span><span class="keyword token">const</span> <span class="punctuation token">[</span>action<span class="punctuation token">,</span> handler<span class="punctuation token">]</span> <span class="keyword token">of</span> actionHandlers<span class="punctuation token">)</span> <span class="punctuation token">{</span>
  <span class="keyword token">try</span> <span class="punctuation token">{</span>
    navigator<span class="punctuation token">.</span>mediaSession<span class="punctuation token">.</span><span class="function token">setActionHandler</span><span class="punctuation token">(</span>action<span class="punctuation token">,</span> handler<span class="punctuation token">)</span><span class="punctuation token">;</span>
  <span class="punctuation token">}</span> <span class="keyword token">catch</span> <span class="punctuation token">(</span>error<span class="punctuation token">)</span> <span class="punctuation token">{</span>
    console<span class="punctuation token">.</span><span class="function token">log</span><span class="punctuation token">(</span><span class="template-string token"><span class="string template-punctuation token">`</span><span class="string token">The media session action "</span><span class="interpolation token"><span class="interpolation-punctuation punctuation token">${</span>action<span class="interpolation-punctuation punctuation token">}</span></span><span class="string token">" is not supported yet.</span><span class="string template-punctuation token">`</span></span><span class="punctuation token">)</span><span class="punctuation token">;</span>
  <span class="punctuation token">}</span>
<span class="punctuation token">}</span></code></pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Media Session','#dom-mediasession-playbackstate','playbackState')}}</td>
   <td>{{Spec2('Media Session')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.MediaSession.playbackState")}}</p>
</div>
